html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1.2;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

:root {
  --main-color: #213786;
  --black-color: #2b2a29;
  --orange-color: #ef9010;
}

.container {
  position: relative;
  max-width: 100%;
  padding: 0 24px;
  box-sizing: border-box;
}

img {
  display: block;
  max-width: 100%;
}

a {
  text-decoration: none;
  color: var(--black-color);
}

@font-face {
  font-family: "UZ Sans";
  src: url("../fonts/UZSans/UZSans-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "UZ Sans";
  src: url("../fonts/UZSans/UZSans-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "UZ Sans";
  src: url("../fonts/UZSans/UZSans-SemiBold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "UZ Sans";
  src: url("../fonts/UZSans/UZSans-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "UZ Sans";
  src: url("../fonts/UZSans/UZSans-ExtraBold.woff2") format("woff2");
  font-weight: 800;
  font-style: normal;
}

body {
  color: var(--black-color);
  font-family: "UZ Sans";
}

/* ============================================== */

.wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.title-h3 {
  font-weight: 700;
  font-size: 32px;
  color: var(--main-color);
  line-height: 42px;
}

main {
  flex: 1;
}

/* ============================================== */

.header-wrapper {
  position: relative;
  padding: 12px 0;
  width: 100%;
  max-width: 1920px;
  margin: 0 auto;
}

.header__in {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header__in-block {
  position: relative;
}

.header-logo {
  display: block;
}

.menu-list {
  list-style: none;
  margin: 0;
  padding: 0;
  position: fixed;
  top: 0;
  right: 0;
  background-color: #fff;
  display: none;
  z-index: 1000;
  width: 90%;
  height: auto;
  border-bottom-left-radius: 12px;
}

.menu-list--active {
  display: block;
  animation: fadeIn 0.3s ease-in-out;
  padding: 24px;
  box-sizing: border-box;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.menu-top-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #eaebf1;
  padding-bottom: 47px;
}

.menu-list__item {
  padding: 26px 13px;
  border-bottom: 1px solid #eaebf1;
}

/* .menu-list__item:last-child {
  border-bottom: none;
} */

.menu-list__link {
  text-decoration: none;
  color: #2c2a29;
  font-size: 24px;
  display: block;
  transition: color 0.3s ease;
  font-weight: 500;
  position: relative;
}

.menu-list__link::before {
  content: "";
  position: absolute;
  top: calc(50% - 12px);
  right: 0;
  width: 24px;
  height: 24px;
  background: url("../img/menu-arrow.svg") 0 0 no-repeat;
}

/* .menu-list__link:hover {
  color: #007bff;
} */

.close-btn {
  display: none;
  position: relative;
  cursor: pointer;
}

/* .close-btn:before {
  content: "✖";
  color: #fff;
  font-size: 24px;
} */

.menu-list--active .close-btn {
  display: block;
}

.toggle-btn {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 30px;
  cursor: pointer;
}

.toggle-btn span {
  display: block;
  width: 25px;
  height: 2px;
  background-color: var(--main-color);
  border-radius: 2px;
  transition: background-color 0.3s ease;
}

.toggle-btn:hover span {
  background-color: #007bff;
}

.menu-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000000ad;
  display: none;
  z-index: 10;
}

.menu-overlay--active {
  display: block !important;
}

.mob-memu-btn {
  background: var(--main-color);
  color: #fff;
  text-align: center;
  font-weight: 700;
  font-size: 18px;
  border-radius: 12px;
  display: block;
  width: 100%;
  padding: 17px 0;
  margin-top: 38px;
}

@media screen and (min-width: 600px) {
  .toggle-btn {
    display: none;
  }

  .menu-list {
    position: relative;
    display: block;
    top: auto;
    left: auto;
    width: auto;
    height: auto;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .menu-list__link {
    color: #2c2a29;
    font-weight: 500;
    font-size: 18px;
  }

  .menu-list__item {
    padding: 10px 20px;
    border: none;
  }

  .menu-overlay {
    display: none !important;
  }

  .menu-top-bar {
    display: none;
  }

  .mob-memu-btn {
    display: none;
  }

  .menu-list__link::before {
    display: none;
  }
}

/* ============================================== */

/* ===== SLIDER ===== */

.slider {
  position: relative;
  padding: 35px 0 0 0;
  background: var(--main-color);
}

.slider__image {
  padding-top: 27px;
}

.slider__content {
  position: relative;
}

.slider__title {
  font-weight: 700;
  color: #fff;
  font-size: 36px;
}

.slider__subtitle {
  font-size: 18px;
  color: #fff;
  margin-top: 10px;
}

.slider__form-wrapper {
  position: relative;
}

.slider__form {
  position: relative;
}

.slider__route-builder {
  background-color: #fff;
  border-radius: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px;
  margin-top: 22px;
}

#datePicker:focus {
  border-color: #007bff;
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

.calendar-icon {
  position: absolute;
  left: 20px;
  cursor: pointer;
  width: 20px;
  height: 20px;
  top: 19px;
}

.calendar-icon img {
  width: 100%;
  height: 100%;
}

.slider__field input[type="text"],
.slider__field input[type="date"] {
  width: 100% !important;
  padding: 38px 10px 20px 50px !important;
  font-size: 16px !important;
  border: 1px solid #d4d5d6 !important;
  border-radius: 12px !important;
  background: #f7f6f8 !important;
  outline: none !important;
  box-sizing: border-box !important;
  display: block !important;
  -webkit-appearance: none;
  height: 60px;
  color: #2c2a29;
  font-weight: 600;
}

#datePicker {
  font-weight: 600;
  padding: 20px 10px 20px 50px !important;
}

.slider__field input[type="date"] {
  color: #2c2a29 !important;
  text-align: left !important;
}

.slider__swap-button {
  position: absolute;
  top: 65px;
  right: 30px;
  z-index: 1;
  cursor: pointer;
}

.slider__button {
  width: 100%;
  padding: 20px 12px;
  font-size: 18px;
  background-color: var(--main-color);
  color: #fff;
  border: none;
  border-radius: 12px;
  cursor: pointer;
  font-weight: 700;
  box-sizing: border-box;
  text-align: center;
  font-family: "UZ Sans";
}

.slider__button:hover {
  background-color: #162d6b;
}

input::placeholder {
  font-weight: 700;
  color: #6e7173;
}

.slider__pulse {
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #fff;
  box-shadow: 0 0 0 rgba(33, 55, 134, 0.4);
  animation: pulse 2s infinite;
  border: 2px solid #213786;
  position: absolute;
  top: calc(50% - 7px);
  left: 24px;
}

.slider__pulse--secondary {
  background: #213786;
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(33, 55, 134, 0.4);
  }
  70% {
    box-shadow: 0 0 0 10px rgba(33, 55, 134, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(33, 55, 134, 0);
  }
}

.numInput.cur-year {
  display: none !important;
}

.flatpickr-months .flatpickr-prev-month,
.flatpickr-months .flatpickr-next-month {
  top: 20px;
  border: 1px solid #d4d5d6;
  width: 10px;
  height: 10px;
  border-radius: 7px;
}

.flatpickr-months .flatpickr-prev-month {
  left: 20px !important;
}

.flatpickr-months .flatpickr-next-month {
  right: 20px !important;
}

.flatpickr-current-month {
  width: 100%;
}

.flatpickr-months {
  margin-top: 12px;
  margin-bottom: 20px;
}

.flatpickr-months .flatpickr-prev-month svg,
.flatpickr-months .flatpickr-next-month svg {
  width: 14px;
  height: 14px;
  position: relative;
  top: -5px;
}

.flatpickr-months .flatpickr-prev-month svg {
  left: -2px;
}

.flatpickr-months .flatpickr-next-month svg {
  left: -2px;
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
  font-size: 24px;
  font-weight: 700;
}

.flatpickr-calendar.open {
  padding-bottom: 20px;
}

.flatpickr-calendar {
  width: 335px;
  top: 65px !important;
  left: -15px !important;
  border-radius: 15px !important;
  padding: 0 10px;
}

span.flatpickr-weekday {
  color: #b7babc;
  font-weight: 600;
}

.flatpickr-calendar:before,
.flatpickr-calendar:after {
  display: none;
}

.flatpickr-day {
  font-weight: 600 !important;
}

.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover,
.flatpickr-day.prevMonthDay,
.flatpickr-day.nextMonthDay,
.flatpickr-day.notAllowed,
.flatpickr-day.notAllowed.prevMonthDay,
.flatpickr-day.notAllowed.nextMonthDay {
  color: #b7babc;
}

.flatpickr-day {
  font-size: 16px;
  border-radius: 10px;
}

.flatpickr-day.selected {
  background: var(--main-color);
  border: none;
}

.flatpickr-day.today {
  border-color: #d4d5d6;
}

.flatpickr-day.inRange,
.flatpickr-day.prevMonthDay.inRange,
.flatpickr-day.nextMonthDay.inRange,
.flatpickr-day.today.inRange,
.flatpickr-day.prevMonthDay.today.inRange,
.flatpickr-day.nextMonthDay.today.inRange,
.flatpickr-day:hover,
.flatpickr-day.prevMonthDay:hover,
.flatpickr-day.nextMonthDay:hover,
.flatpickr-day:focus,
.flatpickr-day.prevMonthDay:focus,
.flatpickr-day.nextMonthDay:focus {
  border-color: var(--main-color);
  color: var(--main-color);
  background: #f7f6f8;
}

.slider__image--pc {
  display: none;
}

.slider__image--pc img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.header__in-block--pc {
  display: none;
}

.buy-button {
  display: inline-block;
  font-size: 18px;
  color: #fff;
  background: var(--main-color);
  border-radius: 12px;
  padding: 9px 39px;
  font-weight: 700;
}

.station-selector {
  /* overflow: hidden;
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    padding: 25px;
    box-sizing: border-box; */
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  opacity: 0;
  padding: 25px;
  transition: opacity 0.3s ease-in-out;
  box-sizing: border-box;
  overflow: hidden;
  border-radius: 12px;
  box-shadow: 0 20px 18px #00000057;
}

.station-selector--active {
  display: flex;
  animation: fadeIn 0.3s ease-in-out forwards;
}

.station-selector--closing {
  animation: fadeOut 0.3s ease-in-out forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.station-selector__content {
  position: relative;
  background: #fff;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
}

.station-selector__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #00000099;
}

.station-selector__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
}

.station-selector__title {
  font-size: 18px;
  color: #6e7173;
}

.station-selector__close-btn {
  background: none;
  border: none;
  font-size: 20px;
  color: #999;
  cursor: pointer;
}

.station-selector__badge-content {
  position: relative;
  display: flex;
}

.station-selector__close-btn:hover {
  color: #333;
}

.station-selector__list {
  list-style: none;
  margin: 0;
  padding: 10px 20px;
  overflow-y: auto;
  flex-grow: 1;
  margin-left: 20px;
}

.station-selector__item,
.station-selector__item--to,
.station-selector__item--trip {
  font-size: 18px;
  padding: 8px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  cursor: pointer;
  gap: 8px;
  color: var(--main-color);
  position: relative;
  margin-bottom: 12px;
}

.station-selector__item::before,
.station-selector__item--to:before {
  content: "";
  position: absolute;
  top: 15px;
  left: -7px;
  width: 4px;
  height: 4px;
  background: #959b9d;
  border-radius: 50%;
}

.station-selector__item::after,
.station-selector__item--to:after {
  content: "";
  position: absolute;
  top: 30px;
  left: -6px;
  width: 2px;
  height: 24px;
  background: url(../img/line.svg) 0 0 no-repeat;
  border-radius: 50%;
}

.station-selector__item:last-child::after {
  display: none;
}

.station-selector__item--to:last-child::after {
  display: none;
}

.station-selector__badge {
  font-size: 10px;
  font-weight: bold;
  padding: 0 3px;
  border-radius: 3px;
  color: #fff;
}

.current-trip .station-selector__badge {
  margin-right: 5px;
}

.station-selector__badge:last-child {
  margin: 0;
}

.station-selector__badge--red {
  background: #e52823;
  border-radius: 50%;
  width: 10px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.station-selector__badge--green {
  background: #80d3c3;
}

.station-selector__badge--blue {
  background: #4081cb;
  border-radius: 50%;
  width: 10px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.no-scroll {
  overflow: hidden;
  height: 100%;
}

.no-scroll--body {
  overflow: hidden;
}

@media screen and (min-width: 992px) {
  .slider__image--mobile {
    display: none;
  }

  .station-selector {
    left: -20px;
    width: calc(100% + 40px);
  }

  /* .no-scroll {
      overflow: visible;
    } */

  .slider__image--pc {
    display: block;
  }

  .slider__content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-width: 1920px;
    margin: 0 auto;
  }

  .slider .container {
    padding-right: 0;
  }

  .slider__title {
    font-size: 48px;
    max-width: 510px;
  }

  .slider__subtitle {
    font-size: 24px;
  }

  .slider__form-wrapper {
    max-width: 345px;
  }

  .slider__block--form {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-bottom: 65px;
    padding-left: 125px;
  }

  /* .slider__block--form::before {
      content: "";
      position: absolute;
      top: 0;
      right: -305px;
      width: 305px;
      height: 100%;
      background: url(../img/kce-banner-pc-before.png) 0 0 no-repeat;
      background-repeat: repeat-y;
    } */

  .slider {
    background: url(../img/kce-banner-pc-bg2.jpg) 0 0 no-repeat;
    background-size: cover;
    padding-bottom: 100px;
    padding-top: 60px;
    background-position: center;
  }

  .header__in-block--pc {
    display: block;
  }

  .title-h3 {
    text-align: center;
    font-size: 36px;
  }

  .station-selector__overlay {
    display: none;
  }

  .station-selector {
    position: absolute;
    padding: 0;
    height: 515px;
    top: 66px;
  }
}

.slider__label {
  position: absolute;
  font-size: 16px;
  color: #6e7173;
  transition: font-size 0.3s ease, transform 0.3s ease;
  transform: translateY(0);
  font-weight: 700;
  top: 20px;
  left: 52px;
  font-family: "UZ Sans";
}

.slider__label--small {
  font-size: 10px;
  transform: translateY(-5px);
  color: #6e7173;
}

.slider__field {
  position: relative;
  margin-bottom: 20px;
}

.slider__field input {
  font-size: 16px;
  padding: 10px;
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-family: "UZ Sans";
}

/* ===== SLIDER ===== */

/* ===== schedule ===== */

.schedule {
  position: relative;
  padding: 50px 0 42px;
  display: none;
}

.schedule__content {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 32px;
}

.schedule__block {
  position: relative;
}

.schedule__title {
  font-weight: 700;
  font-size: 24px;
  color: var(--main-color);
  margin-bottom: 10px;
}

.schedule__list {
  position: relative;
}

.schedule__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid #d5dae7;
  border-radius: 12px;
  background: #eff1f6;
  overflow: hidden;
  margin-bottom: 15px;
  cursor: pointer;
}

.schedule__item.schedule__item--transfer {
  margin-bottom: 15px;
  border-radius: 12px;
  background: #eff1f6;
  overflow: hidden;
  border: none;
  display: block;
}

.schedule__item.schedule__item--transfer .schedule__item-transfer {
  background: #eff1f6;
}

.schedule__item.schedule__item--transfer .schedule__item-transfer-in {
  background: #eff1f6;
}

.schedule__item.schedule__item--transfer .schedule__item {
  border: none;
}

.schedule__item.hidden {
  display: none;
}

.schedule__item:last-child {
  margin-bottom: 0;
}

.schedule__code {
  color: #fff;
  font-weight: 600;
  background: url(../img/orange.svg) no-repeat;
  width: 57px;
  height: 55px;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  padding-left: 15px;
}

.schedule__details {
  flex: 1;
  margin: 0;
  text-align: left;
  padding: 12px 0;
  position: relative;
  margin-left: -44px;
}

.schedule__time {
  font-weight: 600;
  color: #2c2a29;
  font-size: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.schedule__duration {
  font-size: 16px;
  color: var(--main-color);
  position: relative;
  /* margin: 0 35px; */
  /* margin-bottom: 1px; */
  text-align: center;
  padding: 0 2px;
  display: inline-block;
  width: 120px;
}

.schedule__duration span {
  display: inline-block;
  padding: 0 2px;
}

.trips-list .schedule__duration span {
  background: #eff1f6;
}

.schedule__time::before {
  content: "";
  position: absolute;
  top: 17px;
  width: 116px;
  height: 17px;
  background: url(../img/line-1.svg) no-repeat;
}

/* .schedule__duration::before {
  content: "";
  position: absolute;
  top: 3px;
  left: -29px;
  width: 22px;
  height: 12px;
  background: url("../img/left.svg") no-repeat;
}

.schedule__duration::after {
  content: "";
  position: absolute;
  top: 3px;
  right: -28px;
  width: 22px;
  height: 12px;
  background: url("../img/right.svg") no-repeat;
} */

.schedule__arrow {
  position: relative;
  width: 22px;
}

.schedule__item--cancelled {
  margin-bottom: 8px;
}

.schedule__item--cancelled .schedule__code {
  background: url("../img/gray.svg") no-repeat;
}

.schedule__item--cancelled .schedule__time {
  justify-content: center;
  font-size: 18px;
}

.schedule__item--cancelled .schedule__arrow {
  display: none;
}

@media screen and (min-width: 390px) {
  .schedule__time {
    font-size: 24px;
  }
  /*
    .schedule__details {
      margin: 0 10px;
    } */

  /* .schedule__code {
      width: 70px;
    } */
}

@media screen and (min-width: 540px) {
  .schedule__time {
    justify-content: center;
  }
}

/* @media screen and (min-width: 992px) {
  .schedule__details {
    margin-left: -27px;
  }
} */

/* ===== schedule ===== */

/* ===== social-wrapper ===== */

.social {
  position: relative;
  border-top: 1px solid #d5dae7;
  border-bottom: 1px solid #d5dae7;
  padding: 53px 0;
  display: none;
}

.social__title {
  font-weight: 700;
  color: var(--main-color);
  font-size: 32px;
  line-height: 42px;
}

.social__description {
  font-size: 18px;
  font-weight: 500;
  margin-top: 23px;
  line-height: 24px;
}

.social__list {
  display: none;
  position: relative;
  /* display: grid; */
  list-style: none;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 5px;
  margin-top: 27px;
  padding: 0;
}

.social__item {
  position: relative;
  text-align: center;
}

.social__link {
  display: inline-block;
  text-decoration: none;
  text-align: center;
}

.social__icon {
  width: 56px;
  margin: 0 auto;
}

.social__text {
  text-align: center;
  color: var(--main-color);
  font-size: 14px;
  font-weight: 600;
  margin-top: 14px;
  line-height: 18px;
}

.social__button {
  position: relative;
  display: inline-block;
  font-weight: 500;
  color: var(--main-color);
  font-size: 16px;
  margin-top: 26px;
}

.social__button::before {
  content: "";
  position: absolute;
  top: 3px;
  right: -22px;
  width: 10px;
  height: 15px;
  background: url(../img/arrow-right.svg) 0 0 no-repeat;
}

.social__content {
  /* max-width: 345px;
    margin: 0 auto; */
  position: relative;
}

@media screen and (min-width: 768px) {
  .social__list {
    max-width: 390px;
  }

  .social__content {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    max-width: 100%;
  }

  .social__title {
    font-size: 36px;
    text-align: center;
  }

  .social__description {
    font-size: 20px;
    text-align: center;
  }

  .social {
    border: none;
  }
}

/* ===== social-wrapper ===== */

/* ===== map-wrapper ===== */

.map {
  position: relative;
  padding-top: 50px;
}

.map__content {
  position: relative;
}

.map__image {
  margin-top: 20px;
  margin-bottom: 25px;
}

.map__advantages {
  position: relative;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin-top: 30px;
  grid-gap: 25px;
}

.map__advantage {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.map__description {
  font-weight: 500;
  font-size: 18px;
  margin-top: 21px;
  line-height: 23px;
}

.map__advantage-text {
  font-weight: 500;
  font-size: 18px;
  margin-top: 10px;
  line-height: 23px;
}

@media screen and (min-width: 768px) {
  .map__content {
    display: flex;
    max-width: 1220px;
    margin: 0 auto;
    gap: 20px;
  }

  .map__info {
    order: -1;
  }

  .map__image-block {
    width: 60%;
  }

  .map__info {
    width: 40%;
  }

  .map__advantages {
    max-width: 355px;
  }

  .map {
    position: relative;
    padding-top: 100px;
  }
}

/* ===== map-wrapper ===== */

/* ===== news-wrapper ===== */

.news {
  position: relative;
  background: #f7f6f8;
  margin-top: 50px;
  padding: 55px 0;
}

.news__content {
  position: relative;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 25px;
  margin-top: 25px;
}

.news__item {
  position: relative;
  display: block;
  text-decoration: none;
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  padding: 16px;
  padding-bottom: 24px;
  box-shadow: 0px 4px 24px -10px #55436640;
}

.news__image {
  border-radius: 8px;
  overflow: hidden;
}

.news__image img {
  height: 292px;
  object-fit: cover;
  width: 100%;
  object-position: center;
}

.news__item-title {
  font-weight: 700;
  color: var(--main-color);
  font-size: 24px;
  margin-top: 17px;
  margin-bottom: 6px;
}

.news__description {
  font-weight: 500;
  font-size: 18px;
  line-height: 23px;
}

@media screen and (min-width: 768px) {
  .news__content {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 1024px) {
  .news__content {
    grid-template-columns: repeat(3, 1fr);
    max-width: 1470px;
    margin: 0 auto;
    margin-top: 15px;
  }

  .news {
    padding: 85px 0;
  }
}

/* ===== news-wrapper ===== */

/* ===== banner-wrapper ===== */

.banner {
  position: relative;
}

.banner__content {
  position: relative;
}

.banner__image-block {
  position: relative;
}

.banner .container {
  padding: 0;
}

.banner__info {
  background: var(--main-color);
}

.banner__text-wrapper {
  position: relative;
  padding: 32px 20px;
  color: #fff;
}

.banner__title {
  color: #fff;
  font-weight: 700;
  font-size: 32px;
  margin-bottom: 21px;
  line-height: 42px;
}

.banner__description {
  font-weight: 500;
  font-size: 18px;
  line-height: 23px;
}

.banner__button-block {
  margin-top: 33px;
}

.banner__button {
  display: inline-block;
  text-decoration: none;
  background: #fff;
  font-weight: 700;
  font-size: 18px;
  border-radius: 12px;
  width: 100%;
  text-align: center;
  padding: 16px 0;
  color: var(--main-color);
}

@media screen and (min-width: 992px) {
  .banner__button {
    max-width: 345px;
  }
}

@media screen and (min-width: 992px) {
  .banner__content {
    position: relative;
    display: flex;
  }

  .banner__info {
    order: -1;
  }

  .banner__text-wrapper {
    max-width: 512px;
    margin: 0 auto;
  }

  .banner__info {
    width: 40%;
    display: flex;
    align-items: center;
  }

  .banner__image-block {
    width: 60%;
  }

  .banner__image img {
    width: 100%;
    object-fit: cover;
    object-position: center;
  }
}
/* ===== banner-wrapper ===== */

/* ===== footer-wrapper ===== */

.footer {
  position: relative;
  padding: 40px 0;
  border-top: 1px solid #d4d5d6;
}

.footer__container {
  position: relative;
}

.footer__inner {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 38px;
}

.footer__tickets {
  display: none;
}

.footer__support,
.footer__tickets,
.footer__social {
  position: relative;
}

.footer__title {
  font-weight: 600;
  font-size: 15px;
  margin-bottom: 16px;
  color: #737678;
}

.footer__phone-block {
  position: relative;
}

.footer__phone {
  display: inline-block;
  text-decoration: none;
  font-weight: 500;
  color: var(--main-color);
  font-size: 32px;
}

.footer__text {
  font-size: 13px;
  margin-top: 7px;
}

.footer__social-list {
  display: flex;
  gap: 17px;
  margin-top: 17px;
}

.footer__social-item img {
  width: 34px;
  height: 34px;
}

.footer__social-link {
  display: inline-block;
}

.footer__social-widget {
  position: relative;
}

.footer__social-widget-link {
  text-decoration: none;
  display: flex;
  align-items: center;
}

.footer__social-widget-icon {
  width: 22px;
}

.footer__social-widget-text {
  font-size: 14px;
  font-weight: 500;
  color: #2c2a29;
  margin-left: 3px;
}

.footer__bottom {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: -8px;
  padding: 10px 0;
  border-top: 1px solid #e0e0e0;
  padding: 15px 20px;
}

.footer__bottom-nav {
  display: flex;
  gap: 15px;
  margin-bottom: 20px;
}

.footer__bottom-link {
  font-size: 14px;
  color: #2c2a29;
  text-decoration: none;
  transition: color 0.3s ease;
}

.footer__bottom-link:hover {
  color: #007bff;
}

.footer__copyright {
  font-size: 13px;
  color: #2c2a29;
  margin-bottom: 18px;
}

.footer__logo img {
  width: 50px;
  height: auto;
}

@media screen and (min-width: 768px) {
  .footer__inner {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    max-width: 1920px;
    margin: 0 auto;
  }

  .footer__bottom {
    flex-direction: row;
    max-width: 1920px;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
  }

  .footer__copyright,
  .footer__bottom-nav {
    margin-bottom: 0;
  }
}

/* ===== footer-wrapper ===== */

/* ===== breadcrumbs ===== */
.breadcrumbs {
  position: relative;
  background: var(--main-color);
  padding: 17px 0;
}

.breadcrumbs__content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 10px;
}

.breadcrumbs__item {
  display: inline-block;
  text-decoration: none;
  font-size: 18px;
  font-weight: 700;
  color: #fff;
}

.breadcrumbs__devider {
  color: #fff;
}

.edit-search {
  display: inline-block;
  color: #fff;
  text-decoration: underline;
  font-weight: 500;
  cursor: pointer;
  width: 100%;
}

.edit-search-popup {
  position: absolute;
  z-index: 10;
  background: #fff;
  top: 74px;
  display: none;
  border: 1px solid #eaebf1;
}

.edit-search__content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.edit-search-popup .slider__route-builder {
  border-radius: 0;
  margin-top: 0;
}

.edit-search-close {
  display: flex;
  justify-content: flex-end;
  padding: 20px;
  padding-bottom: 0;
  background: #fff;
  z-index: 999;
  position: relative;
  cursor: pointer;
}

.edit-search-popup .slider__form-wrapper {
  max-width: 393px;
  width: 393px;
}

.edit-search-overlay {
  position: fixed;
  top: 158px;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000000c9;
  display: none;
  backdrop-filter: blur(2px);
}

.breadcrumbs--white {
  background: #fff;
}

.breadcrumbs--white .breadcrumbs__devider {
  color: var(--main-color);
}

.breadcrumbs--white .breadcrumbs__item {
  color: var(--main-color);
}

.breadcrumbs--white .edit-search {
  color: var(--main-color);
}

.edit-search-popup .flatpickr-calendar {
  width: 100%;
  left: 0 !important;
}

@media screen and (min-width: 768px) {
  .breadcrumbs__item {
    font-size: 24px;
  }

  .breadcrumbs {
    text-align: center;
  }

  .breadcrumbs__content {
    justify-content: center;
  }
}

/* ===== breadcrumbs ===== */

/* ===== tabs ===== */

.tabs-wrapper {
  position: relative;
  padding-bottom: 25px;
}

.tabs-wrapper::before {
  content: "";
  position: absolute;
  top: 57px;
  left: 0;
  width: 100%;
  background: #eaebf1;
  height: 1px;
  z-index: 2;
}

.tab-container {
  width: 100%;
  background-color: #fff;
  max-width: 500px;
  margin: 0 auto;
  margin-top: 20px;
}

.tabs {
  display: flex;
  max-width: 100%;
  margin: 0 auto;
  margin-bottom: 18px;
}

.tabs .tab {
  width: 100%;
  padding: 10px 0;
  cursor: pointer;
  color: #6c6e75;
  font-weight: 500;
  font-size: 18px;
  text-align: center;
}

.tabs .tab.active,
.tabs .tab:hover {
  opacity: 1;
  font-weight: 700;
  color: var(--main-color);
  position: relative;
}

.tabs .tab.active::before {
  content: "";
  position: absolute;
  bottom: -7px;
  left: 0;
  width: 100%;
  height: 4px;
  background: var(--main-color);
  border-radius: 8px;
  z-index: 9;
}

.hidden {
  display: none;
}

.tab-content {
  margin-top: 30px;
}

.tab-content .schedule__code {
  background: url("../img/code-blue-first.svg") no-repeat;
}

.tab-content .schedule__code.schedule__code--second {
  background: url("../img/code-blue-second.svg") no-repeat;
}

.show-all__btn-block {
  position: relative;
  text-align: center;
  margin-top: 25px;
}

.show-all__btn,
.hide-all__btn {
  width: 100%;
  color: var(--main-color);
  font-weight: 700;
  border: 1px solid var(--main-color);
  border-radius: 12px;
  padding: 17px 0;
  cursor: pointer;
  transition: 250ms;
  max-width: 500px;
  margin: 0 auto;
}

.hide-all__btn {
  display: none;
}

.show-all__btn:hover,
.hide-all__btn:hover {
  color: #fff;
  background: var(--main-color);
}

.tabs-date {
  font-weight: 500;
  color: #797d82;
  font-size: 14px;
  left: 0;
  width: 100%;
  text-align: center;
  margin-top: 5px;
}

.tab-today {
  margin-top: -10px;
}

.tabs-wrapper .container {
  padding: 0 10px;
}

@media screen and (min-width: 768px) {
  .schedule__content {
    margin-top: 30px;
  }

  .tabs-wrapper {
    padding-bottom: 65px;
  }

  /* .tabs-wrapper .schedule__time {
      margin-left: 50px;
    } */

  .tabs .tab {
    padding: 10px 20px;
  }

  .tabs-wrapper .container {
    padding: 0 24px;
  }
}

/* ===== tabs ===== */

/* ===== schedule--curretn-trip ===== */

.schedule--curretn-trip {
  display: block;
  padding: 14px 0 42px;
}

.schedule--curretn-trip .schedule__code {
  background: url("../img/code-blue-no-border.svg") 0 0 no-repeat;
}

.schedule--curretn-trip .schedule__arrow {
  display: none;
}

.schedule__item--curretn-trip {
  background: #fff;
  box-shadow: 0 0 14px #55436640;
  border-radius: 20px;
  overflow: hidden;
}

.schedule__item--curretn-trip .schedule__item {
  background: #fff;
  border: none;
  border-radius: 0;
  margin: 0;
}

/* .schedule__item--curretn-trip .schedule__details {
  margin: 0 25px;
} */

.station-selector__item-time {
  position: relative;
}

.station-selector__item-time-first {
  color: var(--main-color);
  font-size: 14px;
  font-weight: 700;
  border-radius: 75px;
  background: #f6f6f8;
  padding: 4px 12px;
}

.schedule__item--curretn-trip-list .station-selector__item::before {
  display: none;
}

.schedule__item--curretn-trip-list .station-selector__list {
  padding-left: 20px;
  padding-bottom: 17px;
}

.schedule__item--curretn-trip-list .station-selector__item {
  padding-left: 0;
  gap: 10px;
  margin-bottom: 23px;
}

.schedule__item--curretn-trip-list .station-selector__item::after {
  top: 38px;
  left: 27px;
  width: 2px;
  height: 33px;
  background: url(../img/line.svg) 0 0;
}

.schedule__item--curretn-trip-list .station-selector__item {
  cursor: auto;
}

.station-selector__item-time-second {
  color: #797d82;
  font-size: 12px;
  font-weight: 600;
  position: absolute;
  top: 40px;
  left: 16px;
  background: #fff;
  z-index: 1;
}

.station-selector__badge--green-second {
  background: #40ba57;
  border-radius: 50%;
  width: 10px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.schedule__item-transfer {
  text-align: center;
  color: #797d82;
  font-size: 16px;
  font-weight: 600;
  margin: 25px 0;
  position: relative;
  z-index: 1;
  background: #f6f6f8;
}

.schedule__item-transfer-in {
  display: inline-block;
  position: relative;
  z-index: 9;
  background: #f6f6f8 !important;
}

.station-selector__item:last-child .station-selector__item-time-second {
  display: none;
}

.station-selector__item:last-child {
  margin-bottom: 0;
}

.schedule__item-transfer::after {
  content: "";
  position: absolute;
  top: -16px;
  left: calc(50% - 1px);
  width: 2px;
  height: 52px;
  background: url(../img/line.svg) 0 0;
  border-radius: 50%;
}

.schedule--curretn-trip {
  max-width: 450px;
  margin: 0 auto;
}

.current-trip main {
  background: #f6f6f8;
}

.current-trip .schedule__duration span {
  background: #fff;
}

/* ===== schedule--curretn-trip ===== */

/* ===== schedule ===== */

.trip .schedule__item--curretn-trip {
  box-shadow: none;
}

.trip .breadcrumbs .container {
  padding: 0 32px;
}

.trip .title-h3 {
  font-size: 28px;
  margin-top: 14px;
  text-align: left;
}

.trip .schedule--curretn-trip .container {
  padding: 0 32px;
}

.trip .station-selector__list {
  margin-left: 0;
  padding-right: 0;
}

.trip .schedule--curretn-trip {
  padding: 14px 0 32px;
}

.route-info {
  color: #ffffff;
}

.route-info__direction {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 8px;
}

.route-info__title {
  font-size: 32px;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 5px;
}

.route-info__highlight {
  color: #ffa600;
}

.route-info__icon {
  width: 24px;
  height: 24px;
}

.route-info__schedule {
  font-size: 16px;
  margin-top: 16px;
  font-weight: 500;
}

.route-info__time {
  font-weight: 700;
}

.trip-delayed {
  position: relative;
  background: var(--orange-color);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  border-radius: 31px;
  font-weight: 600;
  padding: 2px 12px;
  font-size: 13px;
  max-width: 168px;
  margin-top: 20px;
  margin-bottom: 15px;
}

.trip-delayed img {
  margin-right: 10px;
}

@media screen and (min-width: 768px) {
  .route-info__title {
    justify-content: center;
  }

  .trip .schedule--curretn-trip {
    max-width: 343px;
    margin: 0 auto;
  }

  .trip .title-h3 {
    margin-top: 0;
  }

  .trip .schedule--curretn-trip {
    padding-top: 0;
  }
}

/* ===== schedule ===== */

/* ===== trips ===== */
.trips-slider {
  position: relative;
  margin-top: 17px;
}

.trips-slider__content {
  position: relative;
  max-width: 100%;
  margin: 0 auto;
}

.trips-slider-block {
  position: relative;
}

.trips-slider__text {
  font-size: 18px;
  font-weight: 500;
  margin-top: 23px;
  max-width: 512px;
  min-width: 275px;
}

.trips-slider__image {
  border-radius: 12px;
  overflow: hidden;
}

.trips-slider__image img {
  height: 240px;
  object-fit: cover;
  width: 100%;
}

.trips-slider__text p {
  margin-top: 18px;
  line-height: 23px;
}

.trips-clock {
  position: relative;
  margin-top: 43px;
}

.trips-clock__title {
  font-weight: 700;
  color: var(--main-color);
  font-size: 22px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.trips-clock__title img {
  margin-left: 12px;
}

.trips-clock__block {
  position: relative;
}

.trips-clock__content {
  position: relative;
  max-width: 700px;
  margin: 0 auto;
}

.trips-clock__table {
  position: relative;
  margin-top: 25px;
  display: flex;
  flex-wrap: wrap;
  gap: 25px;
  justify-content: center;
}

.trips-clock__cell {
  font-size: 18px;
  color: #fff;
  font-weight: 700;
  background: var(--main-color);
  border-radius: 8px;
  overflow: hidden;
  text-align: center;
  padding: 9px 0;
  flex-basis: 19%;
  text-decoration: none;
}

.trips-clock__block.counterclockwise {
  margin-top: 50px;
  margin-bottom: 22px;
}

@media screen and (min-width: 700px) {
  .trips-clock__cell {
    flex-basis: 16%;
  }

  .trips-slider__image img {
    height: auto;
  }

  .trips-slider__content {
    position: relative;
    display: flex;
    gap: 30px;
    align-items: center;
  }

  .trips-slider__block:last-child {
    order: -1;
  }

  .trips-slider__text .title-h3 {
    text-align: left;
  }
}

@media screen and (min-width: 992px) {
  .trips-clock__cell {
    flex-basis: 11%;
  }

  .trips-clock__title {
    justify-content: center;
  }

  .trips-clock__block.counterclockwise {
    margin-bottom: 50px;
  }

  .trips-slider__text {
    font-size: 20px;
    width: 512px;
    margin-left: 150px;
  }
}
/* ===== trips ===== */

/* ===== buy ===== */
.buy-wrapper {
  position: relative;
  background: #f7f6f8;
  padding: 35px 0;
  max-width: 700px;
  margin: 0 auto;
}

.buy-wrapper .title-h3 {
  text-align: left;
}

.buy-wrapper .container {
  padding: 0 20px;
}

.buy__content {
  position: relative;
}

.buy__text {
  font-size: 18px;
  font-weight: 500;
  line-height: 24px;
  margin-top: 15px;
}

.buy__text-block {
  display: none;
  position: relative;
  margin-top: 35px;
}

.numeric-list {
  position: relative;
  margin-top: 20px;
  list-style: decimal;
  padding-left: 18px;
}

.numeric-list li {
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 10px;
}

.numeric-list li:last-child {
  margin: 0;
}

@media screen and (min-width: 700px) {
  .buy-wrapper {
    background: #fff;
    margin-top: 55px;
    margin-bottom: 55px;
    border-radius: 16px;
    overflow: hidden;
  }

  .buy main {
    background: #f7f6f8;
  }

  .buy-wrapper .container {
    padding: 0 56px;
  }
}
/* ===== buy ===== */

/* ===== acc ===== */
.accordion-single {
  margin-top: 10px;
}

.accordion-single-title {
  /* padding: 20px; */
  cursor: pointer;
  position: relative;
  font-size: 18px;
  margin: 0;
  font-weight: 600;
  padding: 20px;
  position: relative;
}

.accordion-single-title::after {
  content: "";
  position: absolute;
  right: 23px;
  top: 35px;
  transition: all 0.2s ease-in-out;
  display: block;
  width: 8px;
  height: 8px;
  border-top: solid 2px #999;
  border-right: solid 2px #999;
  transform: translateY(-50%) rotate(135deg);
}

.accordion-single-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-in-out;
  font-size: 16px;
  color: #475467;
}

.accordion-single-content p {
  padding: 5px 0;
}

.accordion-single-item.is-open .accordion-single-content {
  max-height: 1500px;
  /* padding-bottom: 20px; */
}

.accordion-single-content--in {
  padding: 20px;
  padding-top: 0;
}

.accordion-single-item.is-open .accordion-single-title::after {
  transform: translateY(-50%) rotate(315deg);
}

.accordion-single-item {
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  margin-bottom: 16px;
  /* padding: 20px; */
}

.accordion-single-item:last-child {
  margin-bottom: 0;
}

.accordion-wrapper {
  position: relative;
  max-width: 700px;
  margin: 0 auto;
  margin-top: 55px;
  margin-bottom: 55px;
}

.accordion-wrapper .title-h3 {
  text-align: left;
  margin-bottom: 25px;
}

.faq main {
  background: #f7f6f8;
}

.accordion-wrapper ul {
  padding-left: 30px;
  margin: 10px 0;
}

.accordion-wrapper ul li {
  position: relative;
  margin-bottom: 10px;
}

.accordion-wrapper ul li:last-child {
  margin-bottom: 0;
}

.accordion-wrapper ul li::before {
  content: "";
  position: absolute;
  top: 7px;
  left: -16px;
  width: 5px;
  height: 5px;
  background: #475467;
  border-radius: 50%;
}

.accordion-wrapper ol {
  list-style-type: auto;
  padding-left: 34px;
  margin: 10px 0;
}

.accordion-wrapper ol li {
  position: relative;
  margin-bottom: 10px;
}

.accordion-wrapper ol li:last-child {
  margin-bottom: 0;
}

@media screen and (min-width: 768px) {
  .accordion-single-title {
    font-size: 22px;
  }

  .accordion-single-content {
    font-size: 18px;
  }

  .accordion-single-item {
    margin-bottom: 24px;
  }
}
/* ===== acc ===== */

/* ===== error-wrapper ===== */
.error-wrapper {
  position: relative;
  padding-top: 100px;
  padding-bottom: 40px;
  height: 70vh;
}

.error__inner {
  position: relative;
  max-width: 700px;
  margin: 0 auto;
}

.error__title {
  font-size: 64px;
  font-weight: 700;
  color: var(--main-color);
  margin-bottom: 5px;
}

.error__text {
  font-size: 18px;
  margin-top: 24px;
  margin-bottom: 32px;
  color: #000;
  line-height: 24px;
}

.list {
  position: relative;
  list-style: none;
  padding-left: 20px;
}

.list li {
  position: relative;
  color: #475467;
  font-size: 18px;
  margin-bottom: 15px;
}

.list li:last-child {
  margin: 0;
}

.list li:before {
  content: "";
  position: absolute;
  top: 7px;
  left: -15px;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: #475467;
}

.list li a {
  text-decoration: none;
  font-weight: 700;
  color: var(--main-color);
}

.error-wrapper .title-h3 {
  text-align: left;
}

.footer__search {
  position: relative;
}

@media screen and (min-width: 768px) {
  .error__title {
    font-size: 72px;
  }

  .error__text {
    font-size: 20px;
  }
}
/* ===== error-wrapper ===== */

.schedule__item--curretn-trip-list .station-selector__item--trip {
  cursor: auto;
}

.schedule__item--curretn-trip-list .station-selector__item--trip {
  padding-left: 0;
  gap: 10px;
  margin-bottom: 26px;
}

.schedule__item--curretn-trip-list .station-selector__item--trip::after {
  content: "";
  position: absolute;
  top: 38px;
  left: 27px;
  width: 2px;
  height: 33px;
  background: url(../img/line.svg) 0 0;
}

.station-selector__item--trip:last-child .station-selector__item-time-second {
  display: none;
}

.station-selector__item--trip:last-child::after {
  display: none;
}
